com.sun.jna.platform.win32

## Class WinRas.RASTUNNELENDPOINT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinRas.RASTUNNELENDPOINT

Enclosing interface:
  WinRas

    @Structure.FieldOrder(value={"dwType","u"})
    public static class WinRas.RASTUNNELENDPOINT
    extends Structure

This RASTUNNELENDPOINT structure is used to define the end-point of a virtual private network (VPN) tunnel.

### Nested Class Summary

Nested Classes
`static class` `WinRas.RASTUNNELENDPOINT.UNION`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `dwType` A value that determines endpoint type
`WinRas.RASTUNNELENDPOINT.UNION` `u` The union structure

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`RASTUNNELENDPOINT()`
`RASTUNNELENDPOINT(Pointer memory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read()` Reads the fields of the struct from native memory

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwType

    public int dwType

A value that determines endpoint type

#### u

    public WinRas.RASTUNNELENDPOINT.UNION u

The union structure

### Constructor Detail

#### RASTUNNELENDPOINT

    public RASTUNNELENDPOINT()

#### RASTUNNELENDPOINT

    public RASTUNNELENDPOINT(Pointer memory)

### Method Detail

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.